from rest_framework import serializers
from .models import Home, Group_member, File, Presentation, Contract

class HomeSerializer(serializers.ModelSerializer):
    class Meta:
        model = Home
        fields = '__all__'

class Group_membarSerializer(serializers.ModelSerializer):
    class Meta:
        model = Group_member
        fields = '__all__'

class FileSerializer(serializers.ModelSerializer):
    class Meta:
        model = File
        fields = '__all__'

class PresentationSerializer(serializers.ModelSerializer):
    media_files = FileSerializer(many=True)

    class Meta:
        model = Presentation
        fields = '__all__'
        
class ContractSerializer(serializers.ModelSerializer):
    class Meta:
        model = Contract
        fields = '__all__'
    
    def create(self, validated_data):
        contract = Contract.objects.create(**validated_data)
        contract.send_welcome_message()  
        contract.notify_admin()  
        return contract